Erreur Composer update FOSuserBundle

Ce sujet est résolu
Default
,

Bonjour à tous,

j'aurais besoin de vos lanterne , je code actuellement un sites à l'aide de Symfony 2.4.0 sur un mac, et quand je voudrais gérer les utilisateurs à l aide du bundle FOSuserBunble mais au moment de lancer la commande php -dmemory_limit=1G composer.phar update j obtiens cette erreur que je ne comprend pas.

new-host-2:Symfony$ php -dmemory_limit=1G composer.phar update 




  [Symfony\Component\Process\Exception\RuntimeException]  
  The process has been signaled with signal "11".         




update --prefer-source] --prefer-dist] --dry-run] --dev] --no-dev] --lock] --no-plugins] --no-custom-installers] --no-scripts] --no-progress] --with-dependencies] -v|vv|vvv|--verbose] -o|--optimize-autoloader] [packages1] ... [packagesN]

j ai rajouter "-dmemory limit=1G" à la commande ,cela a résolu un autre problème lié à la mémoire.

dans le composer.json j 'ai rajouter

"require": {
       //.....
        "friendsofsymfony/user-bundle": "*"
    }

Je vous remercie d'avance pour votre aide.

9 Réponse

35496
,

Bonjour,

Alors je suppose que tu utilise MAMP d'ou ton problème. Pas de panique, la réponse est .

Pour la petite explication : OS X possède déjà PHP mais la version installé n'est pas assez recent pour fonctionner avec Symfony.

Cordialement,

Colin F.

35496
,

Bonjour,

Bien content, que ca est put t'aider. Alors qu'a tu comme message d'erreur encore ?

Cordialement,

Colin.

35496
,

Bonjour,

La commande est simplement "composer update". Si le problème persiste, il te suffit de faire "composer self-update" pour mettre à jour compoer.

Cordialement,

Colin.

Default
,

bonjour,

J 'ai fait la commande "php composer.phar update" et la commande "php composer.phar self-update" . le self-update marche lui, mais la commande update donne la même erreur.

j'ai l impression que le problème vient peut être d'ailleurs que le composer lui-même car après avoir fait une entity j ai voulu mettre à jour la base de données avec un 'doctrine:schema:update --force' j'obtiens 2 warning et une erreur qui sont peut-être en cause

Warning: date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CET/1.0/no DST' instead in /Users/anouar/Desktop/sites/morningland/Symfony/vendor/monolog/monolog/src/Monolog/Logger.php on line 214
Warning: PDO::__construct(): [2002] No such file or directory (trying to connect via unix:///var/mysql/mysql.sock) in /Users/anouar/Desktop/sites/morningland/Symfony/vendor/doctrine/dbal/lib/Doctrine/DBAL/Driver/PDOConnection.php on line 40


  [PDOException]                                    
  SQLSTATE[HY000] [2002] No such file or directory  


doctrine:schema:update --complete] --dump-sql] --force] --em="..."]]

Je te remercie pour ton temps.

Anwar

Default
,

Et en mettant une version comme ceci:

"require": {
    //.....
    "friendsofsymfony/user-bundle": "2.0.*"

ou même la version de dév :

"require": {
    //.....
    "friendsofsymfony/user-bundle": "2.0.*@dev"

ça donne quoi ?

Default
,

Salut Pewel,

J'ai essayé tes versions sa ne change pas le message d'erreur,

on peut vérifier quelque part si c'est pas juste le 'update' de symfony qui cloche? car même pour d'autre commande j'ai des erreurs avec.

merci à toi.

Anwar

35496
,

Bonjour,

Es tu sur mac ?

Cordialement,

Colin.

Default
,

Bonjour Colin,

Oui, je suis sur un Mac OS lion.

Cordialement,

Anwar

Default
,

Bonjour Colin ,

Je te remercie pour ton aide sa a régler une partie de mes problèmes après avoir utilisé le tuto que tu m'as donné la commande doctrine:schema:update --force marche alors qu'avant elle ne marchait pas

pour la commande app/check.php j ai plus que 2 warning alors qu'avant j'avais des erreurs ,

mais malheureusement sa a rien changé au message d'erreur lorsque j essaie composer update ,je pense que j'ai louper une case quelque part je vais tous reprendre pas à pas , je te tiens au courant.

Cordialement,

Anwar